PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PList< T >::iterator_base Class Reference

`#include <lists.h>`

Inheritance diagram for PList< T >::iterator_base:
[legend]
Collaboration diagram for PList< T >::iterator_base:
[legend]

## Public Member Functions
bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Protected Member Functions
| iterator_base (PListElement *e)
void | Next ()
void | Prev ()
value_type * | Ptr () const

## Protected Attributes
PListElement * | element

## Constructor & Destructor Documentation

template<class T>

PList< T >::iterator_base::iterator_base | ( | PListElement * | e | ) |
| inline protected

## Member Function Documentation

template<class T>

void PList< T >::iterator_base::Next | ( |  | ) |
| inline protected

References PList< T >::iterator_base::element, and PAssertNULL.

Referenced by PList< T >::iterator::operator++(), and PList< T >::const_iterator::operator++().

template<class T>

bool PList< T >::iterator_base::operator!= | ( | const iterator_base & | it | ) | const
| inline

References PList< T >::iterator_base::element.

template<class T>

bool PList< T >::iterator_base::operator== | ( | const iterator_base & | it | ) | const
| inline

References PList< T >::iterator_base::element.

template<class T>

void PList< T >::iterator_base::Prev | ( |  | ) |
| inline protected

References PList< T >::iterator_base::element, and PAssertNULL.

Referenced by PList< T >::iterator::operator--(), and PList< T >::const_iterator::operator--().

template<class T>

value_type* PList< T >::iterator_base::Ptr | ( |  | ) | const
| inline protected

References PList< T >::iterator_base::element, and PAssertNULL.

Referenced by PList< T >::iterator::operator*(), PList< T >::const_iterator::operator*(), PList< T >::iterator::operator->(), and PList< T >::const_iterator::operator->().

## Member Data Documentation

template<class T>

PListElement* PList< T >::iterator_base::element
| protected

Referenced by PList< T >::iterator_base::Next(), PList< T >::iterator_base::operator!=(), PList< T >::iterator_base::operator==(), PList< T >::iterator_base::Prev(), and PList< T >::iterator_base::Ptr().

The documentation for this class was generated from the following file:

- lists.h